Bug 1421404 - [GSS](6.4.z) ISPN-7461 - Web sessions can't be created after a cluster split/merge
Summary: [GSS](6.4.z) ISPN-7461 - Web sessions can't be created after a cluster split/...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Infinispan
Version: 6.2.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.17
Assignee: Petr Jurak
QA Contact: Jiří Bílek
URL:
Whiteboard:
Depends On:
Blocks: eap6417-payload 1455228
TreeView+ depends on / blocked
 
Reported: 2017-02-12 01:57 UTC by dereed
Modified: 2020-09-10 10:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-06 13:34:50 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-7461 0 Major Resolved Cache is not rebalanced on merge 2018-08-20 17:17:38 UTC

Description dereed 2017-02-12 01:57:47 UTC
Infinispan in distribution mode does not correctly balance its data after a merge.  In a cluster larger than the number of dist owners (the only reason to use distribution), some nodes can end up not owning any data.

This causes errors creating web sessions in EAP, because it will only create a session with an ID that is owned by the local Infinispan cache.

Comment 2 Jiří Bílek 2017-08-24 11:39:59 UTC
Verified with EAP 6.4.17.CP.CR4

Comment 3 Petr Penicka 2017-09-06 13:34:50 UTC
Released on 2017-09-05 as part of the EAP 6.4.17 release.


Note You need to log in before you can comment on or make changes to this bug.